Bug 92200 - The elements in Shadow DOM of input should not be modifiable
Summary: The elements in Shadow DOM of input should not be modifiable
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Shinya Kawanaka
URL:
Keywords:
Depends on:
Blocks: 65738
  Show dependency treegraph
 
Reported: 2012-07-24 20:44 PDT by Shinya Kawanaka
Modified: 2012-08-01 21:57 PDT (History)
7 users (show)

See Also:


Attachments
Patch (8.72 KB, patch)
2012-07-24 23:19 PDT, Shinya Kawanaka
no flags Details | Formatted Diff | Diff
Patch (8.67 KB, patch)
2012-07-25 19:06 PDT, Shinya Kawanaka
no flags Details | Formatted Diff | Diff
Patch (9.80 KB, patch)
2012-07-30 21:29 PDT, Shinya Kawanaka
no flags Details | Formatted Diff | Diff
Patch (9.97 KB, patch)
2012-07-30 22:04 PDT, Shinya Kawanaka
no flags Details | Formatted Diff | Diff
Patch for landing (9.83 KB, patch)
2012-07-31 23:30 PDT, Shinya Kawanaka
no flags Details | Formatted Diff | Diff
Patch for landing (9.76 KB, patch)
2012-08-01 21:08 PDT, Shinya Kawanaka
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shinya Kawanaka 2012-07-24 20:44:55 PDT
According to Bug 65738 comment, we have the following bugs.

1. Load data:text/html,<style>input::-webkit-textfield-decoration-container { -webkit-user-modify: read-write; }</style><input type=search>
2. Focus on the search field
3. Press backward-delete key
4. Crash

Another related issue:
1. Load data:text/html,<style>input::-webkit-search-results-button { -webkit-user-modify: read-write; }</style><input type=search results=20>
2. Right-click on the magnifier button.
3. You can type into the magnifier button.
Comment 1 Shinya Kawanaka 2012-07-24 23:19:59 PDT
Created attachment 154264 [details]
Patch
Comment 2 Shinya Kawanaka 2012-07-25 19:06:21 PDT
Created attachment 154520 [details]
Patch
Comment 3 Shinya Kawanaka 2012-07-25 22:36:39 PDT
tkent-san, could you review this?
Comment 4 Kent Tamura 2012-07-25 23:24:49 PDT
Comment on attachment 154520 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=154520&action=review

> LayoutTests/fast/forms/input-user-modify.html:34
> +focusAndType("search", "delete");
> +focusAndType("input", "delete");

low test coverage
Comment 5 Shinya Kawanaka 2012-07-30 21:29:43 PDT
Created attachment 155433 [details]
Patch
Comment 6 Kent Tamura 2012-07-30 21:40:58 PDT
Comment on attachment 155433 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=155433&action=review

> LayoutTests/fast/forms/input-user-modify.html:42
> +    <input id="search" type="search">
> +    <input id="file" type="file">
> +    <input id="range" type="range">
> +    <input id="color" type="color">
> +    <input id="number" type="number">
> +    <input id="placeholder" type="text" placeholder="something">
> +    <input id="speech" type="text" x-webkit-speech>

We need test cases for <button>, <input type=date>, and <video controls> or <audio controls>.

> LayoutTests/fast/forms/input-user-modify.html:45
> +<pre id="console"></pre>

This is not used.

> LayoutTests/fast/forms/input-user-modify.html:69
> +var successfullyParsed = true;

This is unnecessary.
Comment 7 Shinya Kawanaka 2012-07-30 22:04:53 PDT
Created attachment 155437 [details]
Patch
Comment 8 Kent Tamura 2012-07-31 06:55:56 PDT
Comment on attachment 155437 [details]
Patch

ok
Comment 9 WebKit Review Bot 2012-07-31 19:43:20 PDT
Comment on attachment 155437 [details]
Patch

Rejecting attachment 155437 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
Kit/chromium/third_party/yasm/source/patched-yasm --revision 134927 --non-interactive --force --accept theirs-conflict --ignore-externals' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
46>At revision 134927.

________ running '/usr/bin/python tools/clang/scripts/update.py --mac-only' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'

________ running '/usr/bin/python gyp_webkit' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
Updating webkit projects from gyp files...

Full output: http://queues.webkit.org/results/13393880
Comment 10 Shinya Kawanaka 2012-07-31 23:30:01 PDT
Created attachment 155728 [details]
Patch for landing
Comment 11 WebKit Review Bot 2012-08-01 00:28:03 PDT
Comment on attachment 155728 [details]
Patch for landing

Rejecting attachment 155728 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
Kit/chromium/third_party/yasm/source/patched-yasm --revision 134927 --non-interactive --force --accept theirs-conflict --ignore-externals' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
46>At revision 134927.

________ running '/usr/bin/python tools/clang/scripts/update.py --mac-only' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'

________ running '/usr/bin/python gyp_webkit' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
Updating webkit projects from gyp files...

Full output: http://queues.webkit.org/results/13415097
Comment 12 Shinya Kawanaka 2012-08-01 21:08:44 PDT
Created attachment 155967 [details]
Patch for landing
Comment 13 WebKit Review Bot 2012-08-01 21:57:42 PDT
Comment on attachment 155967 [details]
Patch for landing

Clearing flags on attachment: 155967

Committed r124407: <http://trac.webkit.org/changeset/124407>
Comment 14 WebKit Review Bot 2012-08-01 21:57:47 PDT
All reviewed patches have been landed.  Closing bug.